package OrderToPay;

import com.metamaxim.modelscope.callbacks.*;
import java.util.*;

public class Order extends Behaviour {

	public int getPaidAmount() {
		int paidAmount = 0; 
		Instance[] invoices = this.selectByRef("Invoice", "Source");
		for (int i = 0; i < invoices.length; i++)
			paidAmount += invoices[i].getCurrency("Paid Amount");
		return paidAmount; 
	}

	public int getProcessingLeadTime() {
		Date DateClosed = this.getDate("Date Closed");
		Date DateSent = this.getDate("Date Sent");
		int ProcessingLeadTime = (int)( (DateClosed.getTime() - DateSent.getTime()) 
				/ (1000 * 60 * 60 * 24) );
		return ProcessingLeadTime;		
	}

	public String getCurrentState() {
		return this.getState("Order");
	}
public void processSend(Event event, String subscript)  {
		
		event.log();
	}
public void processConfirm(Event event, String subscript)  {
		
		event.log();
	}
public void processRegister(Event event, String subscript)  {
		
		event.log();
	}
public void processChangeInvoice(Event event, String subscript)  {
		
		event.log();
	}
public void processPay(Event event, String subscript)  {
		
		event.log();
	}		
public void processClose(Event event, String subscript)  {
		
		event.log();
	}	
}