package OrderToPay;

import com.metamaxim.modelscope.callbacks.*;

public class PayControl extends Behaviour {

	public int getPaidAmount() {
		int paidAmount = 0;
		Instance[] invoices = this.selectByRef("Invoice", "Source");
		for (int i = 0; i < invoices.length; i++)
			paidAmount += invoices[i].getCurrency("Invoice Amount");
		return paidAmount; 
	}

	public String getState() {
		if (this.getCurrency("Paid Amount") >
 			this.getCurrency("Order Amount"))
			return "Overpaid";
		else	return "NotOverpaid";
	}

}

