package OrderToPay;

import com.metamaxim.modelscope.callbacks.*;

public class RegisterControl extends Behaviour {

	public int getRegisteredAmount() {
		int registeredAmount = 0;
		Instance[] invoices = this.selectByRef("Invoice", "Source");
		for (int i = 0; i < invoices.length; i++)
			registeredAmount += invoices[i].getCurrency("Invoice Amount");
		return registeredAmount; 
	}

	public String getState() {
		if (this.getCurrency("Registered Amount") >
 			this.getCurrency("Order Amount"))
			return "Exceeded";
		else	return "NotExceeded";
	}

}

